[profile.default]
src = "contracts"
out = "out"
libs = ["lib"]
test = "test"
solc = "0.8.24"
via_ir = true
optimizer = true
optimizer_runs = 200
evm_version = "paris"
bytecode_hash = "none"
verbosity = 2

[fmt]
line_length = 120
tab_width = 4
bracket_spacing = true

[fuzz]
runs = 256
max_test_rejects = 65536

[invariant]
runs = 64
depth = 32
fail_on_revert = false

[rpc_endpoints]
base       = "${BASE_RPC_URL}"
avalanche  = "${AVAX_RPC_URL}"
arbitrum   = "${ARB_RPC_URL}"
polygon    = "${POLYGON_RPC_URL}"

[etherscan]
base       = { key = "${BASESCAN_API_KEY}", chain = 8453 }
